complexType "TradeChangeContent"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | (oldTradeIdentifier? | oldTrade?)?, trade?, effectiveDate?, changeEvent?, payment?
</...>

Content Model Elements (6):

  changeEvent,
  effectiveDate (defined in TradeChangeContent complexType),
  oldTrade (defined in TradeChangeContent complexType),
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  payment (defined in TradeChangeContent complexType),
  trade (defined in TradeChangeContent complexType)

Annotation
A structure describing a non-negotiated trade resulting from a market event.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="TradeChangeContent"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="oldTrade" type="Trade"/> </xsd:choice> <xsd:element minOccurs="0" name="trade" type="Trade"/> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/> <xsd:element minOccurs="0" ref="changeEvent"/> <xsd:element minOccurs="0" name="payment" type="Payment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
changeEvent

  Type: | ChangeEvent, complex content
  Subst.Gr: | may be substituted with 1 element

  Substitution point for types of change
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="changeEvent"/>

effectiveDate

  Type: | xsd:date, predefined, simple content

  The date on which the change become effective
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/>

oldTrade

  Type: | Trade, complex content

  The original trade details.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="oldTrade" type="Trade"/>

oldTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  The original qualified trade identifier.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"/>

payment

  Type: | Payment, complex content

  Describes a payment made in settlement of the change.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payment" type="Payment"/>

trade

  Type: | Trade, complex content

  A full description of the amended trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.